Bug 1051 - Add "Scale with larger dimension" background mode
: Add "Scale with larger dimension" background mode
Status: RESOLVED FIXED
Product: Desktop platform
Home
: unspecified
: All Maemo
: Low enhancement (vote)
: 5.0-beta
Assigned To: Roope Rainisto
: home-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-13 12:18 UTC by Kenneth Rohde Christiansen
Modified: 2009-04-28 15:34 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Kenneth Rohde Christiansen (reporter) 2007-02-13 12:18:32 UTC
Because of the screen dimensions and the size I often have to manipulate my
background images before using them.

For instance if I have a picture containing people I get the following problems:

center, tile: I only see a little part of the picture
scaled: I have black borders, look bad as background
streched: The faces look weird

I suggest one other option is added, to scale until the screen is covered
horizontally and vertically (ei. no black borders). This means that there will
be a bit of clipping. Ie. with a normal picture I will have a bit of the top and
the button cutted away.
Comment 1 Johan Bilien nokia 2007-02-13 13:22:37 UTC
Sounds good to me, will transmit the suggestion to our UI designers. There
might
be a bit of a challenge to find a clear enough name for this new mode :)
Comment 2 Roope Rainisto nokia 2007-02-13 13:31:29 UTC
Hi, so you're proposing "scaled with the smaller dimension", meaning that
currently the scaled option is "scaled with the larger dimension"?
Comment 3 Kenneth Rohde Christiansen (reporter) 2007-02-13 13:54:38 UTC
Yes, that is it. Would be very great to have this.
Comment 4 Johan Bilien nokia 2007-02-13 14:07:07 UTC
Roope I assigned it to you to keep track of the request
Comment 5 Roope Rainisto nokia 2007-03-15 10:38:07 UTC
Adding CC.
Comment 6 Roope Rainisto nokia 2007-03-15 10:41:49 UTC
Setting priority to enhancement.
Comment 7 Roope Rainisto nokia 2007-06-29 12:11:45 UTC
This is a valid idea for the Home as it is currently. However, I'll set this as
later - we are doing changes to the Home overall design for future releases,
and the validity of this bug is highly dependent on the details of the new
design.
Comment 8 Andre Klapper maemo.org 2008-09-08 14:25:26 UTC
Roope:
Will this be fixed for Fremantle? If so, feel free to set the Target
Milestone...
If this is not planned, feel free to close as WONTFIX.


(Reopening to get rid of the deprecated RESOLVED LATER resolution.)
Comment 9 Roope Rainisto nokia 2008-09-09 10:01:22 UTC
Yes, Fremantle behaviour will have the ability to set the background image just
like you're asking for.
Comment 10 Andre Klapper maemo.org 2009-04-28 15:34:53 UTC
Setting Target Milestone to Fremantle SDK beta.